<?php
session_start();

if (!IsSet($hrac_vzal)) {
   $hrac_vzal=0;
   $sirek_cookie = $sirek;
	$max_cookie=$max;
	$hraje_cookie=$hraje;
	session_register("sirek_cookie");
	session_register("max_cookie");
	session_register("hraje_cookie");
}
if (!IsSet($max) || !IsSet($sirek)) die("Nebyly zadany vsechny parametry.");
if (!IsSet($sebrano)) $sebrano="ještě nehrál";


$sirek = $sirek-$hrac_vzal;//odecist sirky, ktere hrac sebral od celkoveho poctu
	
function coHrat(){ //funkce pro zjisteni nejlepsiho tahu
    global $sirek, $max, $sebrano;
    
    $zbytek=$sirek%($max+1);
    $sebrat=$zbytek-1;
    
    if ($zbytek==0) $sebrat=$max; //pokud je zbytek roven 0 sebere maximum
    if ($zbytek==1) {
        if ($sirek > 2*$max){//pokud je pocet zbyvajicich sirek vetsi nez dvojnasobek max sebere nahodne cislo
           SRand((double)MicroTime()*1e6);
           $sebrat=Rand(1, $max);
        }
        else{
           $sebrat=1; // pokud zbyva mene sirek nez dvojnasobek maxima sebere jednu
        }
    }
    $sebrano=$sebrat;
    $sirek-=$sebrano;
    
    
}

function vypis(){ //funkce pro zobrazeni moznosti pro hrace
    global $stranka, $max, $sirek, $sebrano, $hrac_vzal, $i, $vitez, $max_cookie, $sirek_cookie, $hraje_cookie;
    
    $stranka='
    Hráč vzal: '.$hrac_vzal.'<br>
    Počítač sebral: '.$sebrano.'<br>
    Zbývá sirek: <b>'.$sirek.'</b><br><br>
    ';
    
    volbaVytvor();
    
    for ($i=0; $i<$sirek; $i++){//nakresleni presneho poctu zbyvajicich sirek
        $stranka .='<img src="sirka.jpg" width="10" height="70" border="0" alt="">';
    }
    if ($sirek==0){//zobrazit moznosti pro zacatek nove hry
        $stranka='<h1>Gratluji. Zvítězil(a) jste!</h1><br><form action="hra.php" method="POST"><input type="hidden" name="max" value="'.$max_cookie.'"><input type="hidden" name="sirek" value="'.$sirek_cookie.'"><input type="hidden" name="hraje" value="'.$hraje_cookie.'"><input value="Znovu stejnou hru" type="submit"></form><br><form action="index.htm" method="POST"><input value="Nové nastavení hry" type="submit"></form>';
    }
    if ($sirek<0){
        $stranka='<h1>Bohužel. Zvítězil zvítězil počítač!</h1><br><form action="hra.php" method="POST"><input type="hidden" name="max" value="'.$max_cookie.'"><input type="hidden" name="sirek" value="'.$sirek_cookie.'"><input type="hidden" name="hraje" value="'.$hraje_cookie.'"><input value="Znovu stejnou hru" type="submit"></form><br><form action="index.htm" method="POST"><input value="Nové nastavení hry" type="submit"></form>';
    }
}

function volbaVytvor(){
    global $sirek, $max, $volba, $stranka, $i;
    
    $stranka .='<form action="hra.php" method="POST">Chci sebrat: <select name="hrac_vzal" size="0">';
    $stranka .='<option value="1" selected>1 sirku</option>';
    
    for ($i=2; $i<$max+1; $i++){
      if ($i <= $sirek){
         $stranka .='<option value="'.$i.'">'.$i.'</option>';
      }
    }
    
    $stranka .='</select><input value="OK" type="submit"><input type="hidden" name="max" value="'.$max.'"><input type="hidden" name="sirek" value="'.$sirek.'"></form>';
}





if ($hraje=="hrac"){ //pokud zacina hrac
    vypis();
}
else {
    coHrat();
    vypis();
}
?>


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta name="generator" content="Bluefish">
<meta name="author" content="Antonin Jilek">
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Sirky</title>
<style type="text/css"><!--
body {
	font-family: arial, helvetica, sans-serif;
	background-color: white;
	color: black;
	font-size: 12px;
}

--></style>
</head>
<body>
<img src="sirky.jpg" width="161" height="74" border="0" alt=""><br clear="all">

<?php
echo $stranka;
?>
</body>
</html>